GET
/users/search/?key=:user_keyFind users by user_key
You can find a user based on the user_key attribute. The user_key is also a cookie value of __ca__chat for this user.
| Attributes | Type | Required | Description |
|---|---|---|---|
| user_key | string | yes | A unique identifier (12 random characters) for the user which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/users/search/?key=:user_key"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/users/search/?key=:user_key");
xhr.setRequestHeader("authorization", "Token \<your_64_char_api_Fkey>");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/users/search/?key=:user_key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/users/search/?key=:user_key", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"first_seen": null,
"notifications": true,
"city": null,
"tags": [
{
"name": "tag",
"id": 1441
}
],
"last_contacted": null,
"page_views": 0,
"status": "visitor",
"chat_id": "Chat ID is deprecated and will be removed in future",
"linkedin_url": null,
"facebook_url": null,
"gender": "unknown",
"last_seen": null,
"last_ip": null,
"updated_at": "2017-06-07T10:29:15.955873Z",
"gravatar_url": null,
"id": 19678376,
"os_type": null,
"browser": null,
"twitter_url": null,
"lists": [],
"created_at": "2017-06-07T09:41:13.466897Z",
"name": "Jane Doe",
"resolution": null,
"timezone": null,
"unsubscribed": false,
"browser_language": null,
"country": null,
"google_url": null,
"key": "g3FaYocCy0U6",
"email": "example@email.com",
"score": 0,
"attributes": [
{
"value": true,
"name": "Example attr",
"name_std": "example_attr",
"id": 1109
},
{
"value": "attribute value",
"name": "My string attr",
"name_std": "my_string_attr",
"id": 2429
}
],
"region": null,
"phone_number": null
}